PVideoInputControl Class Reference

This class defines a video Input device control (Camera controls PTZ) More...

`#include <videoio.h>`

Inheritance diagram for PVideoInputControl:

## Public Types

typedef std::list< PVideoControlInfo > | InputDeviceControls
Public Types inherited from PVideoControlInfo
enum | InputControlType { ControlPan, ControlTilt, ControlZoom }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Public Member Functions

| ~PVideoInputControl ()
virtual PBoolean | Pan (long value, bool absolute=false)
virtual PBoolean | Tilt (long value, bool absolute=false)
virtual PBoolean | Zoom (long value, bool absolute=false)
long | GetPan ()
long | GetTilt ()
long | GetZoom ()
void | Reset ()
void | SetCurrentPosition (const InputControlType ctype, long current)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

PBoolean | GetVideoControlInfo (const InputControlType ctype, PVideoControlInfo &control)
PBoolean | GetDefaultPosition (const InputControlType ctype, long &def)
PBoolean | GetCurrentPosition (const InputControlType ctype, long &current)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

std::list< PVideoControlInfo > | m_info
PMutex | ccmutex

## Additional Inherited Members

Static Public Member Functions inherited from PVideoControlInfo
static PString | AsString (const InputControlType &type)
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Public Attributes inherited from PVideoControlInfo
InputControlType | type
long | min
long | max
long | step
long | def
long | flags
long | current

## Detailed Description

This class defines a video Input device control (Camera controls PTZ)

## Member Typedef Documentation

typedef std::list<PVideoControlInfo> PVideoInputControl::InputDeviceControls

## Constructor & Destructor Documentation

PVideoInputControl::~PVideoInputControl | ( |  | ) |

## Member Function Documentation

PBoolean PVideoInputControl::GetCurrentPosition | ( | const InputControlType | ctype,
|  | long & | current
| ) |  |

protected

PBoolean PVideoInputControl::GetDefaultPosition | ( | const InputControlType | ctype,
|  | long & | def
| ) |  |

protected

long PVideoInputControl::GetPan | ( |  | ) |

long PVideoInputControl::GetTilt | ( |  | ) |

PBoolean PVideoInputControl::GetVideoControlInfo | ( | const InputControlType | ctype,
|  | PVideoControlInfo & | control
| ) |  |

protected

long PVideoInputControl::GetZoom | ( |  | ) |

virtual PBoolean PVideoInputControl::Pan | ( | long | value,
|  | bool | absolute = `false`
| ) |  |

virtual

void PVideoInputControl::Reset | ( |  | ) |

void PVideoInputControl::SetCurrentPosition | ( | const InputControlType | ctype,
|  | long | current
| ) |  |

virtual PBoolean PVideoInputControl::Tilt | ( | long | value,
|  | bool | absolute = `false`
| ) |  |

virtual

virtual PBoolean PVideoInputControl::Zoom | ( | long | value,
|  | bool | absolute = `false`
| ) |  |

virtual

## Member Data Documentation

PMutex PVideoInputControl::ccmutex

protected

std::list<PVideoControlInfo> PVideoInputControl::m_info

protected

The documentation for this class was generated from the following file:

- videoio.h